/*=====================
   Utility
=======================*/

.rounded {
    border-radius: 999px !important;
}

.text-reset {
    font: inherit !important;
    color: inherit !important;
    letter-spacing: inherit !important;
}

.overflow-hidden {
    overflow: hidden !important;
}

.hidden {
    position: fixed !important;
    opacity: 0 !important;
    cursor: default !important;
    color: transparent !important;
    background-color: transparent !important;
    border-color: transparent !important;
    pointer-events: none !important;
}

.hide {
    opacity: 0 !important;
    pointer-events: none;
}

.show {
    opacity: 1 !important;
    pointer-events: auto;
}

.no-pointer {
    pointer-events: none;
}

/*      Align     */

.absolute-center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.absolute-horizontal {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.absolute-vertical {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

/*      Display     */

.d-block {
    display: block;
}

.d-inline {
    display: inline;
}

.d-inline-block {
    display: inline-block;
}

/*      Cursor     */

.c-auto {
    cursor: auto;
}

.c-help {
    cursor: help;
}

.c-wait {
    cursor: wait;
}

.c-cross {
    cursor: crosshair;
}

.c-disabled {
    cursor: not-allowed;
}

.c-zoomIn {
    cursor: zoom-in;
}

.c-grab {
    cursor: grab;
}

.c-pointer {
    cursor: pointer;
}
